Name:           plasma-applet-homerun
Version:        1.2.5
Release:        %mkrel 1
Summary:        Homerun is a fullscreen launcher with content organized in tabs
License:        GPLv2+
Group:          Graphical desktop/KDE4
Url:            http://userbase.kde.org/Homerun
Source0:        http://download.kde.org/stable/homerun/src/homerun-%version.tar.xz
BuildRequires: kdelibs-devel
BuildRequires: kde-baseapps-devel
Obsoletes: plasma-applet-homerun-devel

%description 
It is a fullscreen launcher with content organized in tabs. A tab is made of
several "sources". A source can provide one or more sections to a tab. Homerun
comes with a few built-in sources, but custom sources can be written using
libhomerun.

Homerun can either be used from a launcher button in a panel, like Kickoff, or
as a containment, like the Search and Launch containment.

%prep
%setup -n homerun-%version -q 

%build
%cmake_kde4
%make

%install
rm -rf %buildroot
%{makeinstall_std} -C build

#drop useless development package
rm -f %buildroot/%_kde_libdir/*.so
rm -rf %buildroot/%_kde_includedir

%find_lang plasma_applet_org.kde.homerun

%files -f plasma_applet_org.kde.homerun.lang
%defattr(-,root,root)
%{_kde_bindir}/homerunviewer
%{_kde_libdir}/kde4/plasma_applet_homerunlauncher.so
%{_kde_libdir}/cmake/Homerun
%{_kde_libdir}/kde4/homerun_source_recentdocuments.so
%{_kde_libdir}/kde4/imports/*
%{_kde_services}/homerun-source-recentdocuments.desktop
%{_kde_services}/homerunviewer.desktop
%{_kde_services}/plasma-applet-homerun.desktop
%{_kde_services}/plasma-applet-homerunlauncher.desktop
%{_kde_servicetypes}/homerun-source.desktop
%{_kde_datadir}/config/homerunrc
%{_kde_datadir}/apps/homerun/favoriteapps.xml
%{_kde_datadir}/apps/plasma/plasmoids/org.kde.homerun
%{_kde_datadir}/icons/*
%_kde_libdir/libhomerun.so.0*
%{_kde_datadir}/apps/plasma/plasmoids/org.kde.homerun-kicker
%{_kde_datadir}/config/homerunkickerrc
%{_kde_datadir}/kde4/services/plasma-applet-homerun-kicker.desktop

#------------------------------------------------------------------------------
%clean
rm -rf %buildroot


%changelog
* Wed Aug 06 2014 bb <bb> 1.2.5-1pclos2014
- update

* Wed Jan 29 2014 bb <bb> 1.2.0-1pclos2014
- update
